﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MVC3.Models
{
    public class Parent
    {
        private string name;
        private IEnumerable<Child> children;

        public string Name { get { return name; } set { name = value; } }
        public IQueryable<Child> Children { get { return children.AsQueryable(); } }

        public Parent(string name, List<Child> children)
        {
            this.children = (children == null) ? new List<Child>() : children;
            Name = name;
        }
        public Parent(string name)
        {
            Name = name;
        }
    }
}