﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MVC3.Models;

namespace MVC3.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            
            return View(GetList());
        }

        public IQueryable<Parent> GetList()
        {
            return new List<Parent>()
            {
                new Parent("Item 1", 
                    new List<Child> {
                        new Child("Sub 1"),
                        new Child("Sub 2"),
                        new Child("Sub 3")
                    }),
                new Parent("Item 2",
                    new List<Child> {
                        new Child("Sub 1", new List<Child> {
                            new Child("Deeper down"),
                            new Child("A sibling"),
                            new Child("Another sibling")
                        }),
                        new Child("Sub 2"),
                        new Child("Sub 3")
                    })
            }.AsQueryable();
        }
    }
}
