﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace MVC3.Models
{
    public class Child
    {
        public string ChildName { get; set; }
        private IEnumerable<Child> children;

        public IQueryable<Child> Children { get { return children.AsQueryable(); } }

        public Child(string name)
        {
            ChildName = name;
            children = new List<Child>();
        }

        public Child(string name, List<Child> children)
        {
            this.children = (children == null) ? new List<Child>() : children;
            ChildName = name;
        }
    }
}